> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

Your API key is used to authenticate each request. API keys are included in requests using [HTTP Basic Auth](http://en.wikipedia.org/wiki/Basic_access_authentication). Provide your API key ID as the basic auth username value, and the API key value as the password.

##### Example Request

<CodeGroup>
  ```bash bash theme={null}
  $ curl -u $API_KEY_ID:$API_KEY_VALUE https://api.treasuryprime.com
  ```
</CodeGroup>

The API is served exclusively over [HTTPS](http://en.wikipedia.org/wiki/HTTP_Secure) so all data stays safe and secure. Any requests made over plain HTTP will fail. Any requests made without authentication will also fail.

<Warning>
  Anyone who gains access to your keys will be able to impersonate you and could take money out of your bank accounts. **Never** expose your API keys in any publicly accessible areas, including GitHub, client-side code, or even a plain HTTP request. If you are ever in doubt that your API keys may have been exposed, **[contact us immediately!](mailto:security@treasuryprime.com)**
</Warning>
